/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit2.h : Options                                                  *
 *                                                                      *
 ************************************************************************/
#ifndef Unit2H
#define Unit2H
//----------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Dialogs.hpp>

#define TOOLBAR_FLAT true
#define TOOLBAT_NORM false

#define HIST_NOHIST 0
#define HIST_ENREG  1
#define HIST_DEMAND 2

//----------------------------------------------------------------------------
class TOptionsDLG : public TForm
{
  __published:
     TPageControl *PageControlOptions;
     TTabSheet *PageInterface;
     TRadioGroup *RadioGroup1;
     TRadioButton *Toolbar_Flat;
     TRadioButton *Toolbar_Normal;
     TTabSheet *PageJeu;
     TEdit *EFichierHistorique;
     TBitBtn *BOpenHistorique;
     TTrackBar *TrackVitesse;
     TRadioButton *RBEnreg;
     TRadioButton *RBDemander;
     TRadioButton *RBPasReplay;
     TRadioGroup *RadioGroup2;
     TCheckBox *CBLogo;
     TImageList *ImageList1;
     TBitBtn *BOK;
     TBitBtn *BAnnuler;
     TBitBtn *BDefaut;
     TOpenDialog *ODParcourir;
     TCheckBox *CBConfirmExit;
     TGroupBox *GroupBox1;
     TLabel *LNbSecondes;
     TLabel *Label6;
     TCheckBox *CBRecentrer;
     TBitBtn *BAide;
     void __fastcall BOKClick(TObject *Sender);
     void __fastcall BDefautClick(TObject *Sender);
     void __fastcall BOpenHistoriqueClick(TObject *Sender);
     void __fastcall TrackVitesseChange(TObject *Sender);
     void __fastcall BAideClick(TObject *Sender);
  private:
  public :
     bool __fastcall Change();
     void __fastcall ChargeOptions();
     void __fastcall SauveOptions();
        virtual __fastcall TOptionsDLG(TComponent* AOwner);
};
//----------------------------------------------------------------------------

extern PACKAGE TOptionsDLG *OptionsDLG;
//----------------------------------------------------------------------------
#endif
