/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit4.cpp : AboutBox                                               *
 *                                                                      *
 ************************************************************************/
#include <vcl.h>
#pragma hdrstop

#include "Unit4.h"
#include "Unit3.h"
//---------------------------------------------------------------------
#pragma resource "*.dfm"
TAboutDLG *AboutDLG;

/* Certains champs de texte sont "cliquables" et lancent une adresse web,
     lorsque l'on passe sur ces champs leur couleur change.
     Lorsqu'on clique n'importe o sur la fentre, celle-ci est ferme */

//---------------------------------------------------------------------
__fastcall TAboutDLG::TAboutDLG(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------

void __fastcall TAboutDLG::LMailClick(TObject *Sender)
{
     ShellExecute(0, NULL, "mailto:ant@swing.be", NULL, NULL, SW_NORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::LWebClick(TObject *Sender)
{
     ShellExecute(0, NULL, "http://www.ant.be.tf/software/", NULL, NULL,
          SW_NORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::LICQClick(TObject *Sender)
{
     ShellExecute(0, NULL, "http://wwp.icq.com/scripts/srch.dll?Uin=50746223",
          NULL, NULL, SW_NORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::FormCreate(TObject *Sender)
{ // Affichage de la fentre
     SetCurrentDir(MainWindow->ASDirectory);
     Image1->Picture->LoadFromFile("res\\aboutlogo.bmp");
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::SpeedButton2Click(TObject *Sender)
{ // Plus d'infos
     ShellExecute(0, NULL, "hlp\\index_moreinfo.html", NULL, NULL, SW_NORMAL);
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::SpeedButton1Click(TObject *Sender)
{ // OK
     Close();
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::LMailMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
     LMail->Font->Color=clAqua;
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::LICQMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
     LICQ->Font->Color=clAqua;
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::LWebMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
     LWeb->Font->Color=clAqua;
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::FormMouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
     LMail->Font->Color=clWhite;
     LWeb->Font->Color=clWhite;
     LICQ->Font->Color=clWhite;
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::Panel1MouseMove(TObject *Sender,
      TShiftState Shift, int X, int Y)
{
     LMail->Font->Color=clWhite;
     LWeb->Font->Color=clWhite;
     LICQ->Font->Color=clWhite;
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::FormClick(TObject *Sender)
{
     Close();
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::Image1Click(TObject *Sender)
{
     Close();
}
//---------------------------------------------------------------------------

void __fastcall TAboutDLG::Panel1Click(TObject *Sender)
{
     Close();
}
//---------------------------------------------------------------------------

