/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit6.cpp : Rsultat du combat                                     *
 *                                                                      *
 ************************************************************************/

#include <vcl.h>
#pragma hdrstop

#include "Unit6.h"
#include "Unit3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TCombatWindow *CombatWindow;
extern char szPionFileNames[27][30];
extern char szPionDescription[27][30];
//---------------------------------------------------------------------------
__fastcall TCombatWindow::TCombatWindow(TComponent* Owner)
     : TForm(Owner)
{
}

void __fastcall TCombatWindow::Combat(int iAttaqu, int iVictime, int iVainqueur)
{ /* Mise en places des donns dans les zones textes & images selon le rsultat
     du combat */
     SetCurrentDir(MainWindow->ASDirectory);
     LAttaqu->SetTextBuf(szPionDescription[iAttaqu]);
     LVictime->SetTextBuf(szPionDescription[iVictime]);
     PAttaqu->Picture->LoadFromFile(szPionFileNames[iAttaqu]);
     PVictime->Picture->LoadFromFile(szPionFileNames[iVictime]);
     if(iVainqueur!=-1) {
          PVainqueur->Picture->LoadFromFile(szPionFileNames[iVainqueur]);
          LVainqueur->SetTextBuf(szPionDescription[iVainqueur]);
     } else {
          PVainqueur->Picture->LoadFromFile(szPionFileNames[0]);
          LVainqueur->SetTextBuf("Aucun vainqueur !");
     }
}
//---------------------------------------------------------------------------
// FIN <Unit6.cpp> =============================================================
