/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   ant_stratego.cpp : Fichier principal du projet                     *
 *                                                                      *
 ************************************************************************/

#pragma hdrstop
#include <vcl.h>
USERES("ant_stratego.res");
USEFORM("Unit1.cpp", SplashScreen);
USEFORM("Unit3.cpp", MainWindow);
USEFORM("Unit2.cpp", OptionsDLG);
USEFORM("Unit4.cpp", AboutDLG);
USEFORM("Unit5.cpp", StatWindow);
USEFORM("Unit6.cpp", CombatWindow);
USEFORM("Unit7.cpp", ReseauWindow);
USEFORM("Unit8.cpp", VainqueurWindow);
USEFORM("Unit9.cpp", HighscoresWindow);
USEUNIT("Pieces.cpp");
USEUNIT("Files.cpp");
USEUNIT("Hist.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
     try
     {
       Application->Initialize();
       Application->Title = "Ant Stratego";
       Application->HelpFile = "hlp\\index.html";
       Application->CreateForm(__classid(TMainWindow), &MainWindow);
       Application->CreateForm(__classid(TSplashScreen), &SplashScreen);
       Application->CreateForm(__classid(TOptionsDLG), &OptionsDLG);
       Application->CreateForm(__classid(TAboutDLG), &AboutDLG);
       Application->CreateForm(__classid(TStatWindow), &StatWindow);
       Application->CreateForm(__classid(TCombatWindow), &CombatWindow);
       Application->CreateForm(__classid(TReseauWindow), &ReseauWindow);
       Application->CreateForm(__classid(TVainqueurWindow), &VainqueurWindow);
       Application->CreateForm(__classid(THighscoresWindow), &HighscoresWindow);
       Application->Run();
     }
     catch (Exception &exception)
     {
          Application->ShowException(&exception);
          Application->MessageBox("Ce programme n'a pas vraiment provoqu "
               "d'erreur, mais il va quand mme tre ferm, et ceci pour "
               "suivre l'esprit Windows.","Erreur",MB_ICONSTOP);
     }
     return 0;
}
//---------------------------------------------------------------------------


