/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   hist.h : Gestion de l'historique                                   *
 *                                                                      *
 ************************************************************************/

#ifndef HIST_H
#define HIST_H
#define HIST_NOHIST 0
#define HIST_ENREG  1
#define HIST_DEMAND 2

class THistorique {
  private:
     char szDepl[256]; // Chane affiche dans la barre d'tat
     char szFileName[256]; // Nom de fichier  lire ou  crire
     TDeplacement strDepl; // Dplacement  crire dans le fichier
     int iFile; // "Pointeur" vers le fichier ouvert
     int iType; // Faut-il enregistrer l'historique
     bool bComposer;
     void __fastcall WriteError();
     void __fastcall Inverse(int *,int *,int *,int *);
  public:
     void __fastcall AddHistorique(bool,int,int,int,int,int,int);
     void __fastcall Positions(int [10][10]);
     void __fastcall Affiche();
     int __fastcall GetType();
     bool __fastcall Init(int [10][10]);
     __fastcall THistorique(int,char [],bool);
     __fastcall ~THistorique();
     bool __fastcall NextMove(TDeplacement *);
};


#endif

// FIN <Hist.h> ================================================================

