/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit1.cpp : Logo (Splashscreen)                                    *
 *                                                                      *
 ************************************************************************/

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit3.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSplashScreen *SplashScreen;
//---------------------------------------------------------------------------
__fastcall TSplashScreen::TSplashScreen(TComponent* Owner)
        : TForm(Owner)
{
     /* Par dfaut, la fentre est charge, mais invisible */
     if(MainWindow->GetShowLogo()==true) {
     /* Affichage du logo si on ne l'a pas dsactiv dans les options */
          SplashScreen->Splash->Picture->LoadFromFile("res\\splashscreen.bmp");
          SplashScreen->Visible=true;
          Timer1->Enabled=true; // Il faudra l'enlever aprs quelques secondes
     } else {
          SplashScreen->Close(); // Sinon on n'aura plus besoin de la fentre
     }
}
//---------------------------------------------------------------------------


void __fastcall TSplashScreen::SplashClick(TObject *Sender)
{ /* Aprs quelques secondes, on ferme la fentre */
     Timer1->Enabled=false;
     SplashScreen->Close();

}
//---------------------------------------------------------------------------



