/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit4.h : AboutBox                                                 *
 *                                                                      *
 ************************************************************************/

#ifndef Unit4H
#define Unit4H
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
//----------------------------------------------------------------------------
class TAboutDLG : public TForm
{
  __published:
     TImage *Image1;
     TSpeedButton *SpeedButton1;
     TSpeedButton *SpeedButton2;
     TBevel *Bevel2;
     TPanel *Panel1;
     TLabel *Label3;
     TLabel *Label8;
     TLabel *Label2;
     TLabel *Label7;
     TLabel *Label1;
     TLabel *Label4;
     TLabel *Label6;
     TLabel *Label5;
     TLabel *LMail;
     TLabel *LWeb;
     TLabel *LICQ;
     TLabel *Label9;
     TBevel *Bevel1;
     TLabel *Label10;
     TLabel *Label11;
     void __fastcall LMailClick(TObject *Sender);
     void __fastcall LWebClick(TObject *Sender);
     void __fastcall LICQClick(TObject *Sender);
     void __fastcall FormCreate(TObject *Sender);
     void __fastcall SpeedButton2Click(TObject *Sender);
     void __fastcall SpeedButton1Click(TObject *Sender);
     void __fastcall LMailMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall LICQMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall LWebMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall Panel1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall FormClick(TObject *Sender);
     void __fastcall Image1Click(TObject *Sender);
     void __fastcall Panel1Click(TObject *Sender);
  private:
  public:
	virtual __fastcall TAboutDLG(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TAboutDLG *AboutDLG;
//----------------------------------------------------------------------------
#endif
