/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit6.h : Rsultat du combat                                       *
 *                                                                      *
 ************************************************************************/

#ifndef Unit6H
#define Unit6H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TCombatWindow : public TForm
{
  __published:
     TPanel *Panel1;
     TLabel *Label1;
     TPanel *Panel2;
     TGroupBox *GroupBox1;
     TBevel *Bevel1;
     TBitBtn *BitBtn1;
     TImage *PAttaqu;
     TImage *PVictime;
     TImage *PVainqueur;
     TLabel *LAttaqu;
     TLabel *LVictime;
     TLabel *LVainqueur;
  private:
  public:
     __fastcall TCombatWindow(TComponent* Owner);
     void __fastcall Combat(int,int,int);
};
//---------------------------------------------------------------------------
extern PACKAGE TCombatWindow *CombatWindow;
//---------------------------------------------------------------------------
#endif
// FIN <Unit6.h> ===============================================================
