/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************/
//---------------------------------------------------------------------------

#ifndef Unit7H
#define Unit7H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TReseauWindow : public TForm
{
  __published:
     TPageControl *PageControl1;
     TTabSheet *TabSheet1;
     TTabSheet *TabSheet2;
     TImageList *ImageList1;
     TBitBtn *B_SAnnuler;
     TBitBtn *B_SOk;
     TBitBtn *B_CAnnuler;
     TBitBtn *B_COk;
     TGroupBox *GroupBox1;
     TGroupBox *GroupBox2;
     TGroupBox *GroupBox3;
     TLabel *Label1;
     TEdit *Edit1;
     TBitBtn *B_CConnect;
     TBitBtn *B_CDisconnect;
     TGroupBox *GroupBox4;
     TLabel *Label2;
     TEdit *Edit2;
     TBitBtn *B_SConnect;
     TBitBtn *B_SDisconnect;
     TListBox *LB_SEtat;
     TListBox *LB_CEtat;
     void __fastcall FormShow(TObject *Sender);
  private:
  public:
     __fastcall TReseauWindow(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TReseauWindow *ReseauWindow;
//---------------------------------------------------------------------------
#endif
// FIN <Unit7.h> ===============================================================

