/************************************************************************
 *                                                                      *
 *   Ant Stratego                                                       *
 *   (C) 2000 Antoine Potten                                            *
 *   software@antp.be - http://www.antp.be/software                     *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   This program is free software; you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License        *
 *   as published by the Free Software Foundation; either version 2     *
 *   of the License, or (at your option) any later version.             *
 *                                                                      *
 *   This program is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of     *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                       *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 *   unit8.h : Fin de partie                                            *
 *                                                                      *
 ************************************************************************/

#ifndef Unit8H
#define Unit8H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TVainqueurWindow : public TForm
{
  __published:
     TLabel *Label1;
     TPanel *Panel1;
     TPanel *Panel2;
     TImage *PDrapeau;
     TLabel *LDrapeau;
     TLabel *Label4;
     TImage *PUnite;
     TLabel *LUnite;
     TPanel *Panel3;
     TBevel *Bevel1;
     TLabel *LVainqueur;
     TImage *PVainqueur;
     TBitBtn *BScores;
     TBitBtn *BFermer;
     TBitBtn *BStat;
     void __fastcall BStatClick(TObject *Sender);
     void __fastcall BScoresClick(TObject *Sender);
     void __fastcall FormShow(TObject *Sender);
  private:
     int iGagnant;     // Couleur du gagnant
     bool bScoreEntre; /* On ne peut mettre qu'une seule fois son nom dans
                              le tableau des scores */
  public:
     __fastcall TVainqueurWindow(TComponent* Owner);
     void __fastcall Victoire(int,int);
};
//---------------------------------------------------------------------------
extern PACKAGE TVainqueurWindow *VainqueurWindow;
//---------------------------------------------------------------------------
#endif
// FIN <Unit8.h> ===============================================================

